package org.nl.acs.udw;

import org.nl.acs.udw.service.impl.UnifiedDataAccessorImpl;
import org.nl.acs.udw.service.impl.UnifiedDataAppServiceImpl;

public class UnifiedDataAccessorFactory {
    public UnifiedDataAccessorFactory() {
    }

    public static UnifiedDataAppService getUnifiedDataAppService() {
        return UnifiedDataAppServiceImpl.getInstance();
    }

    public static UnifiedDataAccessor getAccessor(String unified_key) {
        UnifiedDataAccessorImpl accessor = new UnifiedDataAccessorImpl();
        accessor.setUnifiedKey(unified_key);
        accessor.setUnifiedDataService(getUnifiedDataAppService());
        return accessor;
    }
}
